%define revision 197
Name: C-Kermit
Summary: A combined serial and network communication software package.
Version: 7.0.%{revision}
Copyright: Distributable, see COPYING.TXT
Release: 5
Serial: 3
Group: Applications/Communications
Source: ftp://kermit.columbia.edu/kermit/archives/cku%{revision}.tar.gz
Source1: ftp://ftp.kermit-project.org/kermit/public_html/??????/ck70/unix.tar.gz
Patch0: C-Kermit-7.0.197.patch
Patch1: C-Kermit-7.0.197-krb5.patch
URL: http://www.columbia.edu/kermit/ckermit.html
BuildRoot: %{_tmppath}/%{name}-root
Requires: gmp, krb5-libs
BuildPrereq: gmp-devel, krb5-devel

%description
C-Kermit is a combined serial and network communication software package
offering a consistent, medium-independent, cross-platform approach to
connection establishment, terminal sessions, file transfer, character-set
translation, and automation of communication tasks.

%prep
%setup -q -c -a 1
%patch0 -p1 -b .tim 
%patch1 -p1 -b .krb5

%build
make linux+krb5+krb4+openssl+pam KFLAGS=-DCK_SYSINI='\\\"/etc/kermit/ckermit.ini\\\"'
ln -sf krbmit wermit

%install 
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kermit
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_infodir}
%makeinstall
strip $RPM_BUILD_ROOT%{_bindir}/* || :
sed 's|/usr/local/bin/kermit|%{_bindir}/kermit|g' ckermit.ini > \
$RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.ini.sample

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING.TXT ckaaaa.txt ckuaaa.txt ckermit2.txt ckcbwr.txt ckubwr.txt
%doc ckuins.txt ckermit.ini ckermod.ini ckurzsz.ini ckermit.k*d
%doc telnet.txt security.txt iksd.txt cke*.ksc ckcplm.txt ckccfg.txt
%{_bindir}/kermit
%{_mandir}/*/*
%config /etc/kermit

%changelog
* Fri Aug 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- build in SSL support

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch on support for system-wide config files (#13748)
- include sample configuration file
- fix a .spec file typo (#13747)
- remove setgid bit (#11723)

* Sat Jun 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild with Kerberos support
- update URL

* Wed Mar 29 2000 Tim Powers <timp@redhat.com>
- updated source to 197, bzipped source to conserve space
- built for 7.0

* Sun Feb 27 2000 Tim Powers <timp@redhat.com>
- made kermt setgid uucp

* Thu Feb 03 2000 Tim Powers <timp@redhat.com>
- rebuilt so that man pages can be gzipped

* Thu Jan 13 2000 Tim Powers <timp@redhat.com>
- no longer a beta, removed the beta tag for the version
- removed the gzip man pages since it is handled by our build system

* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- initial build for Red Hat Linux
- retarred and gzipped source so that it unloads into a dir, not the whole
	builddir
